<?php
ob_start();
include("config.php");
	if(! check_login()) { 
	exit;
	}

$dbres	=	mysql_query("SELECT *,UNIX_TIMESTAMP(`gevangenis`) AS `gevangenis`,0 FROM `gebruiker` WHERE `login`='{$data->login}'");
$data	=	mysql_fetch_object($dbres);

	if($data->gevangenis + $data->gevangenistijd > time()){
	header("Location: netwerken-gevangenis.php"); 
	exit;
	}

	if($data->famsotto == 0 && $data->famleader == 0){
	exit;
	}

?>

<html>
<head>
<title>Ultimatecrime</title>
<link rel="stylesheet" type="text/css" href="style_general.css">
</head>
<body background="layout/images/layout_12.gif" bgproperties="fixed">
<br>
<br>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle" colspan="2">
		<b>Crusher voor je netwerk</b>
		</td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

$dbres		=	mysql_query("SELECT * FROM `familie` WHERE `naam`='{$data->familie}'");
$netwerk	=	mysql_fetch_object($dbres);

	if(isset($_POST['crusher'])){
		if(isset($_POST['crush'])){

			if($_POST['crush'] == "small"){
			$crush		=	1;
			$maxkogels	=	15;
			$price		=	10000000;
			$maxcars	=	500;
			} else if($_POST['crush'] == "medium"){
			$crush		=	2;
			$maxkogels	=	30;
			$price		=	25000000;
			$maxcars	=	1000;
			} else if($_POST['crush'] == "large"){
			$crush		=	3;
			$maxkogels	=	45;
			$price		=	65000000;
			$maxcars	=	1750;
			} else if($_POST['crush'] == "extreme"){
			$crush		=	4;
			$maxkogels	=	60;
			$price		=	125000000;
			$maxcars	=	3000;
			}

			if($netwerk->bank >= $price){
			mysql_query("UPDATE `familie` SET `bank`=`bank`-'{$price}',`autos`='0',`maxautos`='{$maxcars}',`kogels`='{$maxkogels}',`crush`='{$crush}' WHERE `naam`='{$data->familie}'");
			echo "Crusher {$_POST['crush']} is gekocht voor " . geld($price) . ".<br>Er kunnen nu {$maxcars} autos gecrusht worden, en voor ieder krijg je {$maxkogels} kogels.<meta http-equiv=\"refresh\" content=\"3\">";
			} else {
			echo "Er is niet genoeg geld in de netwerk bank.<meta http-equiv=\"refresh\" content=\"3\">";
			}
		}
	} else {

		if($netwerk->maxautos-$netwerk->autos == 0){
		echo "<form method=\"post\"><table width=\"80%\"><tr><td width=\"100%\">{$crusher}</td><input type=\"radio\" name=\"crush\" value=\"small\"> Klein (500 autos - 15 kogels - 10.000.000)<br><input type=\"radio\" name=\"crush\" value=\"medium\"> Medium (1000 autos - 30 kogels - 25.000.000)<br><input type=\"radio\" name=\"crush\" value=\"large\"> Large (1750 autos - 45 kogels - 65.000.000)<br><input type=\"radio\" name=\"crush\" value=\"extreme\"> Extreem (3000 autos - 60 kogels - 125.000.000)<br><input type=\"submit\" name=\"crusher\" value=\"Koop\"></td></tr></table></form>";
		} else {
		echo "Je hebt nog een crusher die werkt.";
		}

	}

?>

		</td>
	</tr>
</table>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle" colspan="2">
		<b>Huizen voor je netwerk</b>
		</td>
	</tr>
	<tr>
		<td class="mainTxt" align="center">

<?php

	if(isset($_POST['submit2'])){
	$prijs	=	$_POST['aantal']*2000000;
		if($netwerk->oppervlakte/400-$netwerk->huizen <= 0){
		echo "Het netwerk kan niet meer huizen kopen, koop eerst maar weer wat grond!<meta http-equiv=\"refresh\" content=\"3\">";
		} else if($_POST['aantal'] == "" || $_POST['aantal'] < 1){
		echo "Vul een geldig aantal huizen in.<meta http-equiv=\"refresh\" content=\"3\">";
		} else if(! is_numeric($_POST['aantal'])){
		echo "Het aantal huizen mag alleen uit cijvers bestaan.<meta http-equiv=\"refresh\" content=\"3\">";
		} else if($prijs > $netwerk->bank){
		echo "De netwerk bank heeft niet genoeg geld voor zoveel huizen.<meta http-equiv=\"refresh\" content=\"3\">";
		} else {
		mysql_query("UPDATE `familie` SET `huizen`=`huizen`+'{$_POST['aantal']}',`bank`=`bank`-'$prijs' WHERE `naam`='{$data->familie}'");
		echo "Je hebt met succes {$_POST['aantal']} huizen voor je netwerk gekocht.<meta http-equiv=\"refresh\" content=\"3\">";
		}
	} else {

?>

		<form method="post">
		<table width="80%">
			<tr>
				<td witdh="50%">
				Huizen voor netwerk leden:
				</td>
				<td witdh="50%">
				<?php echo $netwerk->huizen; ?>
				</td>
			</tr>
			<tr>
				<td witdh="50%">
				Huizen dat je kunt kopen(Mē / 400):
				</td>
				<td witdh="50%">
				<?php echo round($netwerk->oppervlakte/400-$netwerk->huizen); ?>
				</td>
			</tr>
			<tr>
				<td witdh="50%">
				Prijs per huis:
				</td>
				<td witdh="50%">
				2.000.000
				</td>
			</tr>
			<tr>
				<td witdh="50%">
				Aantal:
				</td>
				<td witdh="50%">
				<input type="text" name="aantal" size="4" style="width:150">
				</td>
			</tr>
			<tr>
				<td witdh="50%"></td>
				<td witdh="50%">
				<input type="submit" value="Koop!" name="submit2" style="width:150">
				</td>
			</tr>
		</table>
		</form>

<?php

	}

?>

		</td>
	</tr>
</table>
<br>
<table align="center" width="600">
	<tr>
		<td class="subTitle" colspan="2">
		<b>Land om te kopen in <?php echo $netwerk->land; ?></b>
		</td>
	</tr>

<?php

	if($_GET['kopen'] == "land"){

?>

	<tr>
		<td class="mainTxt" align="center">

<?php

	$dbres	=	mysql_query("SELECT * FROM `land` WHERE `id`='{$_GET['id']}'");

		if($land = mysql_fetch_object($dbres)){
			if($land->prijs > $netwerk->bank){
			echo "Je hebt niet genoeg geld voor dit stuk land.<meta http-equiv=\"refresh\" content=\"3\">";
			} else if($land->familie != ""){
			echo "Dit stuk land is al door een andere familie gekocht.<meta http-equiv=\"refresh\" content=\"3\">";
			} else {
			mysql_query("UPDATE `familie` SET `bank`=`bank`-'{$land->prijs}',`oppervlakte`=`oppervlakte`+'{$land->oppervlakte}' WHERE `naam`='{$data->familie}'");
			mysql_query("UPDATE `land` SET `familie`='{$data->familie}' WHERE `id`='{$_GET['id']}'");
			echo "Je hebt met succes dat stuk land gekocht.<meta http-equiv=\"refresh\" content=\"3\">";
			}
		}
	} else {

?>

	<tr>
		<td>
		<table width="100%">
			<tr>
				<td class="subTitle" style="letter-spacing: normal;" align="center" width="40%">
				<b>Oppervlakte</b>
				</td>
				<td class="subTitle" style="letter-spacing: normal;" align="center" width="60%">
				<b>Prijs</b>
				</td>
			</tr>

<?php

	$dbres		=	mysql_query("SELECT * FROM `land` WHERE `familie`='' AND `land`='{$netwerk->land}' ORDER BY `id`");
		while($land = mysql_fetch_object($dbres)){
?>

			<tr onMouseOver="this.style.backgroundColor='#6F5E4A';" onMouseOut="this.style.backgroundColor='#4B3D32';" style="background-color: #4B3D32;">
				<td align="center" class="justborderS" width="40%"><?php echo $land->oppervlakte; ?> mē</td>
				<td align="center" class="justborderS" width="60%"><a href="famshop.php?kopen=land&id=<?php echo $land->id; ?>"><?php echo geld($land->prijs); ?></a></td>
			</tr>

<?php

		}

?>

		</table>

<?php

	}

?>

		</td>
	</tr>
</table>